### Method

# WebKit2WebExtension DOMDocument evaluate

#### Declaration [src]

    WebKitDOMXPathResult*
    webkit_dom_document_evaluate (
      WebKitDOMDocument* self,
      const gchar* expression,
      WebKitDOMNode* contextNode,
      WebKitDOMXPathNSResolver* resolver,
      gushort type,
      WebKitDOMXPathResult* inResult,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`expression` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`contextNode` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`resolver` | `WebKitDOMXPathNSResolver`
| A `WebKitDOMXPathNSResolver`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`type` | `gushort`
| A #gushort.
`inResult` | `WebKitDOMXPathResult`
| A `WebKitDOMXPathResult`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMXPathResult`
| A `WebKitDOMXPathResult`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.